---
layout: post
title: "Anyone know why the temp stops 1 degree before the set value after an upgrade to an E3dv6 hot end?"
date: January 07, 2017 03:39
category: "General discussion"
author: "Guy Bailey"
---
Anyone know why the temp stops 1 degree before the set value after an upgrade to an E3dv6 hot end? The target temp is 245 and I can get there when manually setting the temp but during a print it never reaches 245.



Im using the following config:





temperature_control.hotend.enable            true             # Whether to activate this ( "hotend" ) module at all.

                                                              # All configuration is ignored if false.

temperature_control.hotend.thermistor_pin    0.23             # Pin for the thermistor to read

temperature_control.hotend.heater_pin        2.4              # Pin that controls the heater, set to nc if a readonly thermistor is being defined

temperature_control.hotend.thermistor        Semitec        # see [http://smoothieware.org/temperaturecontrol#toc5](http://smoothieware.org/temperaturecontrol#toc5)

temperature_control.hotend.beta             4375             # or set the beta value

temperature_control.hotend.set_m_code        104              #

temperature_control.hotend.set_and_wait_m_code 109            #

temperature_control.hotend.designator        T                #

temperature_control.hotend.max_temp         260              # Set maximum temperature - Will prevent heating above 300 by default

#temperature_control.hotend.min_temp         0                # Set minimum temperature - Will prevent heating below if set



# safety control is enabled by default and can be overidden here, the values show the defaults

#temperature_control.hotend.runaway_heating_timeout      900   # max is 2040 seconds, how long it can take to heat up

#temperature_control.hotend.runaway_cooling_timeout      900   # max is 2040 seconds, how long it can take to cool down if temp is set lower

#temperature_control.hotend.runaway_range                20    # Max setting is 63°C



temperature_control.hotend.p_factor         120             # permanently set the PID values after an auto pid

temperature_control.hotend.i_factor         1.951            #

temperature_control.hotend.d_factor         175               #



temperature_control.hotend.max_pwm          255               # max pwm, 64 is a good value if driving a 12v resistor with 24v.





![missing image](https://lh3.googleusercontent.com/-6swkXGPfRXA/WHBi3tjlI8I/AAAAAAABAj8/DMpFjAj4GzIiKt__DDwN_gadw8Dp8sPKgCJoC/s0/Capture1.JPG)



**"Guy Bailey"**

---
---
**Jeff DeMaagd** *January 07, 2017 04:18*

Did you try an autotune? Based on the behavior, it looks like you need to increase your i_factor. Possibly by 10x or more, I don't know. Autotune would help.


---
**Guy Bailey** *January 07, 2017 04:39*

I tried autotune and I have new settings now. It changed the temp curve but I still cant print. The hot end stops heating up just before it reaches desired temp. 

temperature_control.hotend.p_factor         54.4             # permanently set the PID values after an auto pid

temperature_control.hotend.i_factor         3.350            #1.951

temperature_control.hotend.d_factor         220               #

![missing image](https://lh3.googleusercontent.com/wwv2z-6HGPCeezCMvAC6_SOQHa2At2CZPEtO3IShg6sTBp5zYJDS5axygXiMMMwM-tGze51LDFE0VsTbWcwOeefHIsfb2C8m18Hw=s0)


---
**Jeff DeMaagd** *January 07, 2017 04:40*

Are you using a part cooling fan during the part build but had it off during tuning? The difference in air flow can have a big impact.


---
**Guy Bailey** *January 07, 2017 04:45*

Bumped I up by a factor of 10. Same results. What would cause it to stop activating the hot end during a print. The only thing I changed was the hardware and PID settings. 




---
**Guy Bailey** *January 07, 2017 04:52*

Here is the start of the gcode. Im at a loss here. It worked fine before I changed the hot end....

 generated by Slic3r 1.1.7 on 2017-01-06 at 22:47:13



; perimeters extrusion width = 0.54mm

; infill extrusion width = 0.67mm

; solid infill extrusion width = 0.67mm

; top infill extrusion width = 0.67mm

; support material extrusion width = 0.40mm



G21 ; set units to millimeters

M107

M190 S18 ; wait for bed temperature to be reached

M104 S245 ; set temperature

G28 ; home all axes

G1 Z5 F200 ; lift nozzle



M109 S245 ; wait for temperature to be reached

G90 ; use absolute coordinates

G92 E0

M82 ; use absolute distances for extrusion

G1 F3000.000 E-4.00000

G92 E0




---
**Guy Bailey** *January 07, 2017 05:04*

**+Jeff DeMaagd** I had to remove the fan during install due to the new hot end being shorter and the fan rubbing on the build tray. Currently the only fan is the one directly on the hot end. 




---
**Jeff DeMaagd** *January 07, 2017 05:05*

OK. This is confusing then. Is the heater constantly on?


---
**Jeff DeMaagd** *January 07, 2017 05:06*

I would boost the P factor by 50% and see what the results are.


---
**Guy Bailey** *January 07, 2017 05:16*

This is what my auto tune looks like for 285C per the E3D setup guide. Its clearly capable of reaching the 240C that I am asking it to for the print. BUT its killing the hot end 5 degrees before the target and then just hovers a few degrees below, indefinitely... Trying new settings again. 



![missing image](https://lh3.googleusercontent.com/YKaYQDUTAnOfLH4BH1_qQVfcU9C4PigV4E5p7VEJfFm2_iQNy-VcguX0mNLlSguCnGrSzjKMwQqzGVS0my7-zYeqQ81tf91aBc2-=s0)


---
**Guy Bailey** *January 07, 2017 05:22*

**+Jeff DeMaagd**Ok, so after applying the latest autotune settings it eventually got to 245 degrees after about 5 minutes. Ill try increasing the P value by 50% and see if that helps get the warm up time back to normal. At least its printing again. Thanks for the help. 


---
**Jeff DeMaagd** *January 07, 2017 05:25*

OK, cool. Yeah, sometimes autotune doesn't work right and I don't know why.



The reason to adjust tune on a new hot end is because different heater or block designs behave differently.


---
**Sébastien Plante** *January 07, 2017 14:13*

Well, it's "normal" that the heating cut before reaching the target temp, the PID make sure you are not overshooting. I will run on again, then off so it could stay at 245. Autotune should calibrate that.



Make sure bang bang is off and check this : [smoothieware.org - Temperaturecontrol - Smoothie Project](http://smoothieware.org/temperaturecontrol#toc13)


---
**Guy Bailey** *January 07, 2017 17:33*

Yes, bang bang is off. I understand that with PID it should slow down before it hits its target but it used to heat up until right before, then the overshoot was enough to trigger the start of the print. Now the overshoot is not enough to overcome the last 5 degrees in a reasonable amount of time. I used to be able to hit start print and it would go from 18C to 200C in 2:30. Now it takes 5:00 to start a print and half of that time is the last 5 degrees. :(


---
**Guy Bailey** *January 07, 2017 17:39*

**+Sébastien Plante** Its as if the P value in PID is not having any impact. When using the autotune (bang bang?) it doesnt have any problem hitting the target temps quickly. I have tried P values from 30 to 120 with no perceivable change in overshoot. 


---
**Jeff DeMaagd** *January 07, 2017 17:49*

What are your current best PID values?


---
**Sébastien Plante** *January 07, 2017 18:28*

**+Guy Bailey** Not a solution, but as a work around, you could manually set it at 250 until the print start ? 


---
**Guy Bailey** *January 07, 2017 18:45*

**+Sébastien Plante** That is exactly what I am doing now until I get this figured out. 




---
**Guy Bailey** *January 07, 2017 18:56*

**+Jeff DeMaagd**Here are my latest results from the auto tune. Ill post the print results in a few. It definitely able to get the temps up to, and keep them at the target. 



![missing image](https://lh3.googleusercontent.com/uTsqNtxBjn608OHgh0h0Yss18Hiwc3zP3ogTJRRPifJz1EsDpChM-zyQJp6KKJbrdCy4zODbrQjF4VVgIZwpsSIpU5ywMzi7yboF=s0)


---
**Guy Bailey** *January 07, 2017 18:58*

I am running a 24v system with a matching 24v hot end assembly. 




---
**Guy Bailey** *January 07, 2017 19:10*

**+Jeff DeMaagd** OK here is the temp profile when printing with the above auto tune settings. Notice that is spends half the heat up time getting over the last few degrees. 

![missing image](https://lh3.googleusercontent.com/wtkYj9CMhLfRFy8AfAKO9b1eFDB2k4WTwdabg-BtsMj2qI81ud_83BQzxWDSKl0L-8bdMfEASc3rj2wo7xJLz1xGBsT0TdO_Wl-2=s0)


---
**Guy Bailey** *January 07, 2017 19:12*

In the auto tune it goes right to the target and barely overshoots. In the print its like its WAY too conservative on its initial overshoot. 


---
**Jeff DeMaagd** *January 07, 2017 19:30*

Autotune doesn't do PID. It uses a form of bang-bang to determine what parameters to suggest. But you won't get as good printing results from bang-bang


---
**Guy Bailey** *January 07, 2017 19:53*

The best PID values I have are what is reported in the latest autotune.

temperature_control.hotend.p_factor         49.9             

temperature_control.hotend.i_factor         1.233          

temperature_control.hotend.d_factor         504              

temperature_control.hotend.max_pwm          255            


---
**Guy Bailey** *January 07, 2017 21:34*

**+Jeff DeMaagd** You were on to something. I looked at an old config and found that the auto tune values were off by an order of magnitude for P! I have to multiple P and I by 10 and D by 1.5 now its working again! Im good with a ~1 degree ripple! Thanks for the help!

![missing image](https://lh3.googleusercontent.com/dcyhrhye5nHK91nkMMvOCEJwT1DU8STGlCPO9bIwYqDeuyMTctL4QuY7rjudLjTG4oh9e16MUbiy705ecgxpxuMKm77tYO9yQPFW=s0)


---
**Andrew Forsberg** *July 05, 2017 03:01*

**+Guy Bailey** Thanks for the suggested PID values... just upgraded to a re-arm smoothieboard and an e3d V-6 and was having similar problems.


---
*Imported from [Google+](https://plus.google.com/+GuyBailey/posts/1D2LFfkpYnH) &mdash; content and formatting may not be reliable*
